Package tigase.monitor.tasks

# Class CpuTempTask

java.lang.Object
tigase.monitor.tasks.AbstractConfigurableTask
tigase.monitor.tasks.AbstractConfigurableTimerTask
tigase.monitor.tasks.CpuTempTask

All Implemented Interfaces:
  `Initializable`, `UnregisterAware`, `ConfigurableTask`, `MonitorTask`

@Bean(name="cpu-temp-task", parent=MonitorComponent.class, active=true) public class CpuTempTask extends AbstractConfigurableTimerTask implements Initializable

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CPU_TEMP_MONITOR_EVENT_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CpuTempTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCpuTempThreshold()`
  `Form`
  `getCurrentConfiguration()`
  `void`
  `initialize()`
  Method will be called, when bean will be created, configured and ready to use.
  `protected void`
  `run()`
  `void`
  `setCpuTempThreshold(Integer cpuTempThreshold)`
  `void`
  `setNewConfiguration(Form form)`

  ### Methods inherited from class tigase.monitor.tasks.AbstractConfigurableTimerTask

  `beforeUnregister, disable, enable, getPeriod, getTimerTaskService, setPeriod, setTimerTaskService`

  ### Methods inherited from class tigase.monitor.tasks.AbstractConfigurableTask

  `isEnabled, setEnabled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CPU_TEMP_MONITOR_EVENT_NAME

    public static final String CPU_TEMP_MONITOR_EVENT_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CpuTempTask

    public CpuTempTask()

- ## Method Details

  - ### getCpuTempThreshold

    public int getCpuTempThreshold()

  - ### setCpuTempThreshold

    public void setCpuTempThreshold(Integer cpuTempThreshold)

  - ### getCurrentConfiguration

    public Form getCurrentConfiguration()
    Specified by:
      `getCurrentConfiguration` in interface `ConfigurableTask`
    Overrides:
      `getCurrentConfiguration` in class `AbstractConfigurableTimerTask`

  - ### initialize

    public void initialize()
    Description copied from interface: `Initializable`
    Method will be called, when bean will be created, configured and ready to use.
    Specified by:
      `initialize` in interface `Initializable`
    Overrides:
      `initialize` in class `AbstractConfigurableTask`

  - ### setNewConfiguration

    public void setNewConfiguration(Form form)
    Specified by:
      `setNewConfiguration` in interface `ConfigurableTask`
    Overrides:
      `setNewConfiguration` in class `AbstractConfigurableTimerTask`

  - ### run

    protected void run()
    Specified by:
      `run` in class `AbstractConfigurableTimerTask`